cascading.flow.tez.stream.element

## Class TezCoGroupGate

- java.lang.Object
- - cascading.flow.stream.duct.Duct<Incoming,Outgoing>
  - - cascading.flow.stream.duct.Gate<Incoming,Outgoing>
    - - cascading.flow.stream.element.SpliceGate<TupleEntry,Grouping<TupleEntry,TupleEntryIterator>>
      - - cascading.flow.stream.element.GroupingSpliceGate
        - - cascading.flow.hadoop.stream.HadoopGroupGate
          - - cascading.flow.tez.stream.element.TezGroupGate
            - - cascading.flow.tez.stream.element.TezCoGroupGate

- All Implemented Interfaces:
    Collapsing, Window, ElementDuct, InputSource

      public class TezCoGroupGate
      extends TezGroupGate

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cascading.flow.stream.element.GroupingSpliceGate

      `GroupingSpliceGate.DelegatedTuple`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected TimedIterator<Tuple>[]` | `timedIterators`

    - ### Fields inherited from class cascading.flow.tez.stream.element.TezGroupGate

      `logicalInputs, logicalOutput`

    - ### Fields inherited from class cascading.flow.hadoop.stream.HadoopGroupGate

      `closure, collector`

    - ### Fields inherited from class cascading.flow.stream.element.GroupingSpliceGate

      `groupComparators, groupHasher, grouping, groupSortTuple, groupTuple, keyBuilder, keyEntry, keyFields, keyTuple, nullsAreNotEqual, ordinalMap, sortBuilder, sortFields, tupleEntryIterator, valueComparators, valuesBuilder, valuesFields, valueTuple`

    - ### Fields inherited from class cascading.flow.stream.element.SpliceGate

      `flowProcess, incomingScopes, outgoingScopes, role, splice`

    - ### Fields inherited from class cascading.flow.stream.duct.Duct

      `next, ordinal`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TezCoGroupGate(FlowProcess flowProcess, CoGroup coGroup, IORole role, org.apache.tez.runtime.api.LogicalOutput logicalOutput)`
    `TezCoGroupGate(FlowProcess flowProcess, CoGroup coGroup, IORole role, SortedListMultiMap<Integer,org.apache.tez.runtime.api.LogicalInput> logicalInputs)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected HadoopCoGroupClosure` | `createClosure()`
    `protected Throwable` | `reduce()`
    `protected Tuple` | `unwrapGrouping(Tuple key)`

    - ### Methods inherited from class cascading.flow.tez.stream.element.TezGroupGate

      `createOutputCollector, initialize, prepare, run, wrapGroupingAndCollect`

    - ### Methods inherited from class cascading.flow.hadoop.stream.HadoopGroupGate

      `accept, bind, complete, receive, start`

    - ### Methods inherited from class cascading.flow.stream.element.GroupingSpliceGate

      `cleanup, createDefaultNarrowBuilder, createNarrowBuilder, createNulledBuilder, equals, getDelegatedTuple, getKeyComparator, getNumDeclaredIncomingBranches, hashCode, initComparators, setOrdinalMap, toString`

    - ### Methods inherited from class cascading.flow.stream.element.SpliceGate

      `getBranchNames, getFlowElement, getIncomingScopes, getOutgoingScopes, getSplice, handleException, handleReThrowableException, hasTrapHandler, setBranchNames, setTrapHandler`

    - ### Methods inherited from class cascading.flow.stream.duct.Duct

      `getNext, getNextFor, receiveFirst`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### timedIterators

          protected TimedIterator<Tuple>[] timedIterators

  - ### Constructor Detail

    - #### TezCoGroupGate

          public TezCoGroupGate(FlowProcess flowProcess,
                        CoGroup coGroup,
                        IORole role,
                        org.apache.tez.runtime.api.LogicalOutput logicalOutput)

    - #### TezCoGroupGate

          public TezCoGroupGate(FlowProcess flowProcess,
                        CoGroup coGroup,
                        IORole role,
                        SortedListMultiMap<Integer,org.apache.tez.runtime.api.LogicalInput> logicalInputs)

  - ### Method Detail

    - #### reduce

          protected Throwable reduce()
                              throws Exception

      Specified by:
        `reduce` in class `TezGroupGate`
      Throws:
        `Exception`

    - #### createClosure

          protected HadoopCoGroupClosure createClosure()

      Specified by:
        `createClosure` in class `HadoopGroupGate`

    - #### unwrapGrouping

          protected Tuple unwrapGrouping(Tuple key)

      Specified by:
        `unwrapGrouping` in class `HadoopGroupGate`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.